local addonName, addon = ...

local bijous = { faction = 270, rep = 75, token = 19858, reward = {19858} }
local zgcoin = { faction = 270, rep = 25, token = 19858, reward = {19858}, level = 58, stack = "set of 3" }
local adwrit = { faction = 529, rep = 50, reward = {22523,22524} }

Reputable.repitems = {
	
--[[ Raid ]]--
-- Ony
	[18422] = { faction = 76,  rep = 200,  quest = 7490, reward = { 18406,18403,18404 }, Alliance = 18423 },			-- Head of Onyxia (Horde)
	[18423] = { faction = 72,  rep = 200,  quest = 7495, reward = { 18406,18403,18404 }, Horde = 18422 },				-- Head of Onyxia (Alliance)
-- BWL
	[19002] = { faction = 76,  rep = 200,  quest = 7783, reward = { 19383,19366,19384 }, Alliance = 19003 },			-- Head of Nefarian (Horde)
	[19003] = { faction = 72,  rep = 200,  quest = 7781, reward = { 19383,19366,19384 }, Horde = 19002 },				-- Head of Nefarian (Alliance)
-- ZG
	[19802] = { faction = 270, rep = 200,  quest = 8183, reward = { 19948,19950,19949 } },								-- Heart of Hakkar
	[19716] = { faction = 270, rep = 150, level = 58, quest = { PALADIN = { questID = 8053, reward = {19827} }, MAGE    = { questID = 8060, reward = {19846} }, HUNTER  = { questID = 8062, reward = {19833} } }, requires = 5 },	-- Bindings
	[19717] = { faction = 270, rep = 150, level = 58, quest = { SHAMAN  = { questID = 8056, reward = {19830} }, ROGUE   = { questID = 8063, reward = {19836} }, WARRIOR = { questID = 8058, reward = {19824} } }, requires = 5 },	-- Armsplint
	[19718] = { faction = 270, rep = 150, level = 58, quest = { PRIEST  = { questID = 8061, reward = {19843} }, WARLOCK = { questID = 8059, reward = {19848} }, DRUID   = { questID = 8057, reward = {19840} } }, requires = 5 },	-- Stanchion
	[19719] = { faction = 270, rep = 150, level = 58, quest = { SHAMAN  = { questID = 8074, reward = {19829} }, ROGUE   = { questID = 8072, reward = {19835} }, WARRIOR = { questID = 8078, reward = {19823} } }, requires = 6 },	-- Girdle
	[19720] = { faction = 270, rep = 150, level = 58, quest = { PRIEST  = { questID = 8070, reward = {19842} }, WARLOCK = { questID = 8076, reward = {19849} }, DRUID   = { questID = 8064, reward = {19839} } }, requires = 6 },	-- Sash
	[19721] = { faction = 270, rep = 150, level = 58, quest = { PALADIN = { questID = 8054, reward = {19826} }, MAGE    = { questID = 8068, reward = {19845} }, HUNTER  = { questID = 8066, reward = {19832} } }, requires = 6 },	-- Shawl
	[19722] = { faction = 270, rep = 150, level = 58, quest = { SHAMAN  = { questID = 8075, reward = {19828} }, PALADIN = { questID = 8055, reward = {19825} }, DRUID   = { questID = 8065, reward = {19838} } }, requires = 7 },	-- Tabard
	[19723] = { faction = 270, rep = 150, level = 58, quest = { WARLOCK = { questID = 8077, reward = {20033} }, MAGE    = { questID = 8069, reward = {20034} }, WARRIOR = { questID = 8079, reward = {19822} } }, requires = 7 },	-- Kossack
	[19724] = { faction = 270, rep = 150, level = 58, quest = { PRIEST  = { questID = 8071, reward = {19841} }, ROGUE   = { questID = 8073, reward = {19834} }, HUNTER  = { questID = 8067, reward = {19831} } }, requires = 7 },	-- Aegis
-- AQ20
	[21220] = { faction = 609, rep = 200,  quest = 8791, reward = { 21504,21507,21505,21506 } },						-- Head of Ossirian the Unscarred
	[20888] = { faction = 609, rep = 100, level = 60, quest = { ROGUE   = { questID = 8701, reward = {21405} }, PRIEST  = { questID = 8697, reward = {21411} }, WARLOCK = { questID = 8702, reward = {21417} }, HUNTER  = { questID = 8704, reward = {21402} } },												  requires = 6 },	-- Ceremonial Ring
	[20884] = { faction = 609, rep = 100, level = 60, quest = { PALADIN = { questID = 8703, reward = {21396} }, SHAMAN  = { questID = 8698, reward = {21399} }, MAGE    = { questID = 8699, reward = {21414} }, DRUID   = { questID = 8700, reward = {21408} }, WARRIOR = { questID = 8556, reward = {21393} } }, requires = 6 },	-- Magisterial Ring
	[20885] = { faction = 609, rep = 100, level = 60, quest = { ROGUE   = { questID = 8693, reward = {21406} }, WARRIOR = { questID = 8557, reward = {21394} }, MAGE    = { questID = 8691, reward = {21415} }, PRIEST  = { questID = 8689, reward = {21412} } },												  requires = 7 },	-- Martial Drape
	[20889] = { faction = 609, rep = 100, level = 60, quest = { PALADIN = { questID = 8695, reward = {21397} }, SHAMAN  = { questID = 8690, reward = {21400} }, HUNTER  = { questID = 8696, reward = {21403} }, DRUID   = { questID = 8692, reward = {21409} }, WARLOCK = { questID = 8694, reward = {21418} } }, requires = 7 },	-- Regal Drape
	[20890] = { faction = 609, rep = 100, level = 60, quest = { MAGE    = { questID = 8707, reward = {21413} }, PRIEST  = { questID = 8705, reward = {21410} }, WARLOCK = { questID = 8710, reward = {21416} }, DRUID   = { questID = 8708, reward = {21407} } },												  requires = 8 },	-- Ornate Hilt
	[20886] = { faction = 609, rep = 100, level = 60, quest = { PALADIN = { questID = 8711, reward = {21395} }, SHAMAN  = { questID = 8706, reward = {21398} }, ROGUE   = { questID = 8709, reward = {21404} }, HUNTER  = { questID = 8712, reward = {21401} }, WARRIOR = { questID = 8558, reward = {21392} } }, requires = 8 },	-- Spiked Hilt
-- AQ40
	[20932] = { faction = 910, rep = 200, level = 60, quest = { PALADIN = { reward = {21388,21391} }, SHAMAN  = { reward = {21373,21376} }, WARLOCK = { reward = {21338,21335} }, MAGE    = { reward = {21344,21345} }, DRUID = { reward = {21355,21354} } }, requires = 4 },	-- Bindings of Dominance
	[20928] = { faction = 910, rep = 200, level = 60, quest = { WARRIOR = { reward = {21333,21330} }, ROGUE   = { reward = {21359,21361} }, PRIEST  = { reward = {21349,21350} }, HUNTER  = { reward = {21365,21367} } },									  requires = 4 },	-- Bindings of Command
	[20930] = { faction = 910, rep = 200, level = 60, quest = { PALADIN = { questID = 8628, reward = {21387} }, ROGUE   = { questID = 8639, reward = {21360} }, DRUID   = { questID = 8667, reward = {21353} }, SHAMAN  = { questID = 8623, reward = {21372} }, HUNTER  = { questID = 8657, reward = {21366} } }, requires = 5 },	-- Vek'lor's Diadem
	[20926] = { faction = 910, rep = 200, level = 60, quest = { WARRIOR = { questID = 8561, reward = {21329} }, WARLOCK = { questID = 8662, reward = {21337} }, MAGE    = { questID = 8632, reward = {21347} }, PRIEST  = { questID = 8592, reward = {21348} } },												  requires = 5 },	-- Vek'nilash's Circlet
	[20927] = { faction = 910, rep = 200, level = 60, quest = { WARRIOR = { questID = 8560, reward = {21332} }, ROGUE   = { questID = 8640, reward = {21362} }, MAGE    = { questID = 8631, reward = {21346} }, PRIEST  = { questID = 8593, reward = {21352} } },												  requires = 5 },	-- Ouro's Intact Hide
	[20931] = { faction = 910, rep = 200, level = 60, quest = { PALADIN = { questID = 8629, reward = {21390} }, WARLOCK = { questID = 8663, reward = {21336} }, DRUID   = { questID = 8668, reward = {21356} }, SHAMAN  = { questID = 8624, reward = {21375} }, HUNTER  = { questID = 8658, reward = {21368} } }, requires = 5 },	-- Skin of the Great Sandworm
	[20929] = { faction = 910, rep = 200, level = 60, quest = { PALADIN = { questID = 8627, reward = {21389} }, WARRIOR = { questID = 8562, reward = {21331} }, ROGUE   = { questID = 8638, reward = {21364} }, SHAMAN  = { questID = 8622, reward = {21374} }, HUNTER  = { questID = 8656, reward = {21370} } }, requires = 6 },	-- Carapace of the Old God
	[20933] = { faction = 910, rep = 200, level = 60, quest = { WARLOCK = { questID = 8661, reward = {21334} }, MAGE    = { questID = 8633, reward = {21343} }, DRUID   = { questID = 8666, reward = {21357} }, PRIEST  = { questID = 8603, reward = {21351} } },												  requires = 6 },	-- Husk of the Old God
	[21232] = { faction = 910, rep = 200, quest = 8789, reward = { 21242,21272,21244,21269 } },							-- Imperial Qiraji Armaments
	[21237] = { faction = 910, rep = 200, quest = 8790, reward = { 21273,21275,21268 } },								-- Imperial Qiraji Regalia
	[21230] = { faction = 910, rep = 1000, quest = 8784, repeatable = true },											-- Ancient Qiraji Artifact
	[21229] = { faction = 910, rep = 500,  level = 60 },																-- Qiraji Lord's Insignia
	[21221] = { faction = 910, rep = 1000, quest = 8801, reward = { 21712,21710,21709 } },								-- Eye of C'Thun
-- Naxx
	[22520] = { faction = 529, rep = 200, quest = 9120, reward = { 23206,23207 } },										-- The Phylactery of Kel'Thuzad
	[22351] = { faction = 529, rep = 200, level = 60, quest = { PRIEST  = { questID = 9111, reward = {22512} }, MAGE   = { questID = 9095, reward = {22496} }, WARLOCK  = { questID = 9103, reward = {22504} } } },	-- Robe
	[22366] = { faction = 529, rep = 200, level = 60, quest = { PRIEST  = { questID = 9112, reward = {22513} }, MAGE   = { questID = 9096, reward = {22497} }, WARLOCK  = { questID = 9104, reward = {22505} } } },	-- Leggings
	[22367] = { faction = 529, rep = 200, level = 60, quest = { PRIEST  = { questID = 9113, reward = {22514} }, MAGE   = { questID = 9097, reward = {22498} }, WARLOCK  = { questID = 9105, reward = {22506} } } },	-- Circlet
	[22368] = { faction = 529, rep = 200, level = 60, quest = { PRIEST  = { questID = 9114, reward = {22515} }, MAGE   = { questID = 9098, reward = {22499} }, WARLOCK  = { questID = 9106, reward = {22507} } } },	-- Shoulderpads
	[22372] = { faction = 529, rep = 200, level = 60, quest = { PRIEST  = { questID = 9115, reward = {22516} }, MAGE   = { questID = 9099, reward = {22500} }, WARLOCK  = { questID = 9107, reward = {22508} } } },	-- Sandals
	[22371] = { faction = 529, rep = 200, level = 60, quest = { PRIEST  = { questID = 9116, reward = {22517} }, MAGE   = { questID = 9100, reward = {22501} }, WARLOCK  = { questID = 9108, reward = {22509} } } },	-- Gloves
	[22370] = { faction = 529, rep = 200, level = 60, quest = { PRIEST  = { questID = 9117, reward = {22518} }, MAGE   = { questID = 9101, reward = {22502} }, WARLOCK  = { questID = 9109, reward = {22510} } } },	-- Belt
	[22369] = { faction = 529, rep = 200, level = 60, quest = { PRIEST  = { questID = 9118, reward = {22519} }, MAGE   = { questID = 9102, reward = {22503} }, WARLOCK  = { questID = 9110, reward = {22511} } } },	-- Bindings
	[22349] = { faction = 529, rep = 200, level = 60, quest = { WARRIOR = { questID = 9034, reward = {22416} }, ROGUE  = { questID = 9077, reward = {22476} } } },	-- Breastplate
	[22352] = { faction = 529, rep = 200, level = 60, quest = { WARRIOR = { questID = 9036, reward = {22417} }, ROGUE  = { questID = 9078, reward = {22477} } } },	-- Legplates
	[22353] = { faction = 529, rep = 200, level = 60, quest = { WARRIOR = { questID = 9037, reward = {22418} }, ROGUE  = { questID = 9079, reward = {22478} } } },	-- Helmet
	[22354] = { faction = 529, rep = 200, level = 60, quest = { WARRIOR = { questID = 9038, reward = {22419} }, ROGUE  = { questID = 9080, reward = {22479} } } },	-- Pauldrons
	[22358] = { faction = 529, rep = 200, level = 60, quest = { WARRIOR = { questID = 9039, reward = {22420} }, ROGUE  = { questID = 9081, reward = {22480} } } },	-- Sabatons
	[22357] = { faction = 529, rep = 200, level = 60, quest = { WARRIOR = { questID = 9040, reward = {22421} }, ROGUE  = { questID = 9082, reward = {22481} } } },	-- Gauntlets
	[22356] = { faction = 529, rep = 200, level = 60, quest = { WARRIOR = { questID = 9041, reward = {22422} }, ROGUE  = { questID = 9083, reward = {22482} } } },	-- Waistguard
	[22355] = { faction = 529, rep = 200, level = 60, quest = { WARRIOR = { questID = 9042, reward = {22423} }, ROGUE  = { questID = 9084, reward = {22483} } } },	-- Bracers
	[22350] = { faction = 529, rep = 200, level = 60, quest = { HUNTER  = { questID = 9054, reward = {22436} }, DRUID  = { questID = 9086, reward = {22488} }, SHAMAN  = { questID = 9068, reward = {22464} }, PALADIN = { questID = 9043, reward = {22425} } } },	-- Tunic
	[22359] = { faction = 529, rep = 200, level = 60, quest = { HUNTER  = { questID = 9055, reward = {22437} }, DRUID  = { questID = 9087, reward = {22489} }, SHAMAN  = { questID = 9069, reward = {22465} }, PALADIN = { questID = 9044, reward = {22427} } } },	-- Legguards
	[22360] = { faction = 529, rep = 200, level = 60, quest = { HUNTER  = { questID = 9056, reward = {22438} }, DRUID  = { questID = 9088, reward = {22490} }, SHAMAN  = { questID = 9070, reward = {22466} }, PALADIN = { questID = 9045, reward = {22428} } } },	-- Headpiece
	[22361] = { faction = 529, rep = 200, level = 60, quest = { HUNTER  = { questID = 9057, reward = {22439} }, DRUID  = { questID = 9089, reward = {22491} }, SHAMAN  = { questID = 9071, reward = {22467} }, PALADIN = { questID = 9046, reward = {22429} } } },	-- Spaulders
	[22365] = { faction = 529, rep = 200, level = 60, quest = { HUNTER  = { questID = 9058, reward = {22440} }, DRUID  = { questID = 9090, reward = {22492} }, SHAMAN  = { questID = 9072, reward = {22468} }, PALADIN = { questID = 9047, reward = {22430} } } },	-- Boots
	[22364] = { faction = 529, rep = 200, level = 60, quest = { HUNTER  = { questID = 9059, reward = {22441} }, DRUID  = { questID = 9091, reward = {22493} }, SHAMAN  = { questID = 9073, reward = {22469} }, PALADIN = { questID = 9048, reward = {22426} } } },	-- Handguards
	[22363] = { faction = 529, rep = 200, level = 60, quest = { HUNTER  = { questID = 9060, reward = {22442} }, DRUID  = { questID = 9092, reward = {22494} }, SHAMAN  = { questID = 9074, reward = {22470} }, PALADIN = { questID = 9049, reward = {22431} } } },	-- Girdle
	[22362] = { faction = 529, rep = 200, level = 60, quest = { HUNTER  = { questID = 9061, reward = {22443} }, DRUID  = { questID = 9093, reward = {22495} }, SHAMAN  = { questID = 9075, reward = {22471} }, PALADIN = { questID = 9050, reward = {22424} } } },	-- Wristguards
--[[ Faction Items ]]--
--	Zandalari
	[19858] = { faction = 270, rep = 50 },																-- Zandalar Honor Token
	[19707] = bijous, [19708] = bijous, [19709] = bijous, [19710] = bijous, [19711] = bijous, [19712] = bijous, [19713] = bijous, [19714] = bijous, [19715] = bijous,
	[19698] = zgcoin, [19699] = zgcoin, [19700] = zgcoin, [19701] = zgcoin, [19702] = zgcoin, [19703] = zgcoin, [19704] = zgcoin, [19705] = zgcoin, [19706] = zgcoin,
--	Argent Dawn
	[22600] = adwrit, [22601] = adwrit, [22602] = adwrit, [22603] = adwrit, [22604] = adwrit, [22605] = adwrit, [22606] = adwrit, [22607] = adwrit,
	[22608] = adwrit, [22609] = adwrit, [22610] = adwrit, [22611] = adwrit, [22612] = adwrit, [22613] = adwrit, [22614] = adwrit, [22615] = adwrit, 
	[22616] = adwrit, [22617] = adwrit, [22618] = adwrit, [22620] = adwrit, [22621] = adwrit, [22622] = adwrit, [22623] = adwrit, [22624] = adwrit, 
	[12844] = { faction = 529, rep = 25 },																-- Argent Dawn Valor Token
	[12840] = { faction = 529, rep = 25, token = 12844, reward = {12844}, level = 50, stack = 20 },		-- Minion's Scourgestone
	[12841] = { faction = 529, rep = 25, token = 12844, reward = {12844}, level = 50, stack = 10 },		-- Invader's Scourgestone
	[12843] = { faction = 529, rep = 25, token = 12844, reward = {12844}, level = 50 },					-- Corruptor's Scourgestone
	[13920] = { faction = 529, rep = 50, quest = 5582, repeatable = true },								-- Healthy Dragon Scale
	[22526] = { faction = 529, rep = 10, level = 55, stack = 30, requires = 5, reward = {22524} },		-- Bone Fragments
	[22525] = { faction = 529, rep = 10, level = 55, stack = 30, requires = 5, reward = {22524} },		-- Crypt Fiend Parts
	[22527] = { faction = 529, rep = 10, level = 55, stack = 30, requires = 5, reward = {22523} },		-- Core of Elements
	[22528] = { faction = 529, rep = 10, level = 55, stack = 30, requires = 5, reward = {22523} },		-- Dark Iron Scraps
	[22529] = { faction = 529, rep = 10, level = 55, stack = 30, requires = 5, reward = {22523,22524} },-- Savage Fronds
-- Timbermaw Hold
	[20741] = { faction = 576, rep = 150, quest = 8470, requires = 4 },									-- Deadwood Ritual Totem
	[20742] = { faction = 576, rep = 150, quest = 8471, requires = 4 },									-- Winterfall Ritual Totem
	[21377] = { faction = 576, rep = 50, stack = 5 },													-- Deadwood Headdress Feather
	[21383] = { faction = 576, rep = 50, stack = 5 },													-- Winterfall Spirit Beads
-- Thorium Brotherhood	
	[18944] = { faction = 59, rep = 25, stack = 2, requires = 4, limit = 5, level = 45 },				-- Incendosaur Scale
	[18945] = { faction = 59, rep = 25, stack = 4, requires = 5, limit = 6, level = 45 },				-- Dark Iron Residue
	[11370] = { faction = 59, rep = 50, stack = 10, requires = 6, level = 60 },							-- Dark Iron Ore
	[17010] = { faction = 59, rep = 200, requires = 6, level = 60 },									-- Fiery Core
	[17011] = { faction = 59, rep = 200, requires = 6, level = 60 },									-- Lava Core
	[17012] = { faction = 59, rep = 150, requires = 6, level = 60, stack = 2 },							-- Core Leather
	[11382] = { faction = 59, rep = 200, requires = 6, level = 60 },									-- Blood of the Mountain
-- Other	
	[11040] = { faction = { Alliance = 69, Horde = 81 }, rep = 50, level = 47, stack = 10 },			-- Morrowgrain
}

Reputable.repitemsets = {
	[19698]	= { 19698, 19699, 19700 },
	[19699]	= { 19698, 19699, 19700 },
	[19700]	= { 19698, 19699, 19700 },
	[19701] = { 19701, 19702, 19703 },
	[19702]	= { 19701, 19702, 19703 },
	[19703]	= { 19701, 19702, 19703 },
	[19704]	= { 19704, 19705, 19706 },
	[19705]	= { 19704, 19705, 19706 },
	[19706]	= { 19704, 19705, 19706 },
	[18944] = { 18944, 3857, 3356, 3575, 4234, note = { "x2", "", "x4 or", "x4 or", "x10" } },
}

Reputable.factionStandingColours = {
	"|cffcc2222",	-- Hated
	"|cffff0000",	-- Hostile
	"|cffee6622",	-- Unfriendly
	"|cffffff00",	-- Neutral
	"|cff00ff00",	-- Friendly
	"|cff00ff88",	-- Honored
	"|cff00ffcc",	-- Revered
	"|cff00ffff",	-- Exalted
}

Reputable.factionStandingMax = {
	36000,	-- Hated
	3000,	-- Hostile
	3000,	-- Unfriendly
	3000,	-- Neutral
	6000,	-- Friendly
	12000,	-- Honored
	21000,	-- Revered
	999,	-- Exalted
}